blocked_reactions <-
function(gvectors=NULL, zerosSet=FALSE){

	if(is.null(gvectors)) stop("no vectors given")
	
	# reactionen sind dann geblockt, wenn in allen vectoren die v_i=0 sind:
	# \cite doc:nfcf
	# (proposition 1)
	
	if(zerosSet) zero <- equalsZero	
		else zero <- equalsNearlyZero
	
	#-------------------------------------------------------------------------
	#blocked <- 	which(apply(
	#				apply(X=gvectors[,-(1:2),drop=FALSE], MARGIN=c(1,2),
	#			
	#				FUN=zero
	#			
	#			), 2, all))
	#-------------------------------------------------------------------------
	
	blocked <- integer()
	add <- FALSE
	
	for(i in 3:dim(gvectors)[2]){
		add <- TRUE
		
		for(j in 1:dim(gvectors)[1]){
			if(!zero(gvectors[j, i])){
				add <- FALSE
				break
			}
		}
		
		if(add) blocked <- c(blocked, i-2)
	
	}
	
	rm(add)
	
	
	return(blocked)
}

