orderDirectedReactionSets <-
function(C=NULL){

	if(is.null(C)){
		stop("C must not be NULL")
	}

	if(!is.matrix(C)){
		stop("C must be a matrix")
	}

	if(!dim(C)[2]==2){
		stop("C must have 2 cols")
	}

	reactSets <- list()
	
	sets <- unique(C[,1])

	for(i in sets){	
		
		reactSets[[length(reactSets)+1]] <- c(i, sort(C[which(C[,1]==i),2]))
	
	}
	
	
	return(reactSets)
	
	
	

}

