\name{getAllVectors}
\alias{getAllVectors}
\title{
Linspace + Proper Faces
}
\description{
this function returns vectors from linspace and those which define a proper face. it crops simply the first 2 colums of the input matrix.
}
\usage{
getAllVectors(gvectors = NULL)
}
\arguments{
  \item{gvectors}{
  	a set of generating vectors in the form cbind(c, b, A), with c indicating the vectortype.
}
}
\details{
}
\value{
	gvectors without the first 2 colums
}
\references{
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
}

\seealso{
	\code{\link{calcGeneratingVectors}}\cr
	\code{\link{getProperFaces}}\cr
	\code{\link{getAllVectors}}\cr
	\code{\link{scdd}}\cr
}
\examples{
	getAllVectors( calcGeneratingVectors(diag(10))[[1]]$out )
}
