\name{irr_reactions}
\alias{irr_reactions}
\title{
	irreversible Reactions
}
\description{
	identify the irreversible reactions in a modelorg object
}
\usage{
irr_reactions(model = NULL)
}
\arguments{
  \item{model}{
  	a valid modelorg object
}
}
\details{
}
\value{
	a vector representing the irreversible reactions
}
\references{
}
\author{
Claus Jonathan Fritzemeier \email{clausjonathan.fritzemeier@uni-duesseldorf.de}
}
\note{
}

\seealso{
	\code{\link{allReactiontypes}}\cr
	\code{\link{allReactiontypesWithCalc}}\cr
	\code{\link{pseudo_irrev_reactions}}\cr
	\code{\link{blocked_reactions}}\cr
	\code{\link{frev_reactions}}\cr
}
\examples{
	data("Ec_core")
	
	irr_reactions(Ec_core)
}
\keyword{ irreversible }
\keyword{ irr }
